> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create file or folder



## OpenAPI

````yaml /openapi/vued-public-api.yaml post /orgs/{org_id}/files
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/files:
    post:
      tags:
        - Files
      summary: Create file or folder
      operationId: createFile
      parameters:
        - $ref: '#/components/parameters/OrgId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileCreate'
      responses:
        '200':
          description: Created file.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    FileCreate:
      type: object
      properties:
        type:
          type: string
          default: folder
        name:
          type: string
          default: Untitled
        parent_id:
          type:
            - string
            - 'null'
          format: uuid
        visibility:
          type: string
          enum:
            - org
            - restricted
          default: org
    File:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - file
        encrypted:
          type: boolean
        type:
          type: string
          enum:
            - file
            - folder
        name:
          type: string
        name_enc:
          type:
            - object
            - 'null'
        parent_id:
          type:
            - string
            - 'null'
          format: uuid
        visibility:
          type: string
          enum:
            - org
            - restricted
        record_type:
          type:
            - string
            - 'null'
        record_id:
          type:
            - string
            - 'null'
          format: uuid
        share_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````